### Method

# Msg UserService get_user

#### Declaration [src]

    MsgUser*
    msg_user_service_get_user (
      MsgUserService* self,
      const char* name,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Get user information.

#### Parameters

`name`

  Type: `const char*`

  User name (`NULL` for me).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `MsgUser`

Request user.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.